Bug 1188219 - perl-Gtk2: incorrect memory management in Gtk2::Gdk::Display::list_devices
Summary: perl-Gtk2: incorrect memory management in Gtk2::Gdk::Display::list_devices
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1188220 1188221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 11:11 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:27 UTC (History)
3 users (show)

Fixed In Version: perl-Gtk2 1.2495
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:38:37 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-02 11:11:52 UTC
Gtk2 1.2495 fixes an incorrect memory management issue in Gtk2::Gdk::Display::list_devices [1], which can potentially lead to arbitrary code execution.

[1]: https://www.mail-archive.com/gtk-perl-list@gnome.org/msg07790.html

Comment 1 Vasyl Kaigorodov 2015-02-02 11:12:40 UTC
Created perl-Gtk2 tracking bugs for this issue:

Affects: fedora-all [bug 1188220]
Affects: epel-all [bug 1188221]

Comment 2 Fedora Update System 2015-02-15 03:01:13 UTC
perl-Gtk2-1.2495-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-15 03:28:49 UTC
perl-Gtk2-1.2495-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-03-20 04:53:16 UTC
perl-Gtk2-1.2495-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-03-20 04:53:26 UTC
perl-Gtk2-1.2495-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:38:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.